All users were logged out of Bugzilla on October 13th, 2018

Status

VERIFIED FIXED
6 years ago
6 years ago

People

(Reporter: ghtobz, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [label:system])

(Reporter)

Description

6 years ago
[GitHub issue by Martin1982 on 2012-07-12T14:23:17Z, https://github.com/mozilla-b2g/gaia/issues/2368]
When running B2G on the emulator the shell reports this error (via OS X Lion):

```
E/GeckoConsole(  353): [JavaScript Error: "NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]" {file: "chrome://browser/content/shell.js" line: 76}]
```
(Reporter)

Comment 1

6 years ago
[GitHub comment by gregorwagner on 2012-07-12T16:51:56Z]
Could you also paste line 76 from content/shell.js? Is it
81     return Services.prefs.getCharPref('browser.homescreenURL');?
(Reporter)

Comment 2

6 years ago
[GitHub comment by nhirata on 2012-07-12T17:57:36Z]
I don't see this w/ the latest nightly build on OS X lion from the precompiled located here : 
http://ftp.mozilla.org/pub/mozilla.org/b2g/nightly/latest-mozilla-central/

What I do get is a black screen: 
7/12/12 10:49:17.400 AM [0x0-0x50050].org.mozilla.b2g: Opened socket on 9999
7/12/12 10:49:17.488 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: language.current is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.491 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.enabled is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.494 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.roaming.enabled is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.495 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.apn is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.497 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.user is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.498 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.passwd is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.500 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.mmsc is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.502 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.mmsproxy is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.504 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: ril.data.mmsport is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.506 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: devtools.debugger.remote-enabled is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.507 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: devtools.debugger.log is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.509 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: devtools.debugger.remote-port is not in the database. Please add it to build/settings.js
7/12/12 10:49:17.510 AM [0x0-0x50050].org.mozilla.b2g: MOZSETTINGS-GET-WARNING: devtools.debugger.force-local is not in the database. Please add it to build/settings.js
7/12/12 10:49:47.153 AM [0x0-0x50050].org.mozilla.b2g: *** UTM:SVC TimerManager:notify - notified @mozilla.org/browser/search-service;1

Is there something I have to run before running the emulator?
(Reporter)

Comment 3

6 years ago
[GitHub comment by gregorwagner on 2012-07-12T18:04:54Z]
Please don't mix up issues.
The MOZSETTINGS* warnings shouldn't cause a black screen. A make-settingsdb in your gaia folder should solve the warnings problem but not the black screen problem.
(Reporter)

Comment 4

6 years ago
[GitHub comment by Martin1982 on 2012-07-13T07:30:23Z]
@gregorwagner when I lookup the file I can find it in 
```
./objdir-gecko/dist/bin/chrome/chrome/content/shell.js
```

Opening this up in vim shows me the following code (including line numbers, the error occurs on line 76):
```
 63 var shell = {
 64   get contentBrowser() {
 65     delete this.contentBrowser;
 66     return this.contentBrowser = document.getElementById('homescreen');
 67   },
 68 
 69   get homeURL() {
 70     try {
 71       let homeSrc = Services.env.get('B2G_HOMESCREEN');
 72       if (homeSrc)
 73         return homeSrc;
 74     } catch (e) {}
 75 
 76     return Services.prefs.getCharPref('browser.homescreenURL');
 77   },
 78 
 79   get manifestURL() {
 80     return Services.prefs.getCharPref('browser.manifestURL');
 81    },
```
This bug has already been resolved and can be closed (don't know which change did resolve it though).
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED

Comment 6

6 years ago
Verified it's fixed on "Unagi"
Build ID:20130113070202
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.